{% extends 'report/reportPrintLayout.twig' %}

{% block content %}


    {% set organisation = false %} 
    {% set nomsysma_action = false %} 
    {% set communes = false %} 
    {% set infosgeo = false %}
    {% set detail = false %} 
    {% set infossysma_action = false %} 
    {% set listeobjets = false %} 
    {% set infosobjets = false %} 
    {% set carte = false %}  
    {% set photos = false %} 
    {% set couts = false %} 
    {% set user_infos = true %} 



    {% if  GET.get('organisation') == null and GET.get('edition') == null %}{% set organisation = true %} {% endif %}
    {% if  GET.get('nomsysma_action') == null and GET.get('edition') == null  %}{% set nomsysma_action = true %} {% endif %}
    {% if  GET.get('communes') == null and GET.get('edition') == null %}{% set communes = true %}  {% endif %}
    {% if  GET.get('infosgeo') == null and GET.get('edition') == null %}{% set infosgeo = true %} {% endif %}
    {% if  GET.get('detail') == null and GET.get('edition') == null %}{% set detail = true %} {% endif %}
    {% if  GET.get('infossysma_action') == null and GET.get('edition') == null %}{% set infossysma_action = true %}  {% endif %}
    {% if  GET.get('listeobjets') == null and GET.get('edition') == null %}{% set listeobjets = false %}  {% endif %}
    {% if  GET.get('infosobjets') == null and GET.get('edition') == null %}{% set infosobjets = false %}  {% endif %}
    {% if  GET.get('carte') == null and GET.get('edition') == null %}{% set carte = true %}  {% endif %}
    {% if  GET.get('photos') == null and GET.get('edition') == null %}{% set photos = true %}  {% endif %}
    {% if  GET.get('couts') == null and GET.get('edition') == null %}{% set couts = false %}  {% endif %}
    {% if  GET.get('user_infos') == null and GET.get('edition') == null %}{% set user_infos = true %}  {% endif %}



    {% if 
(
    [app.session.get('user_id'),null, tabO[0].sysma_object_type_id,null, tabT[0].sysma_action_type_id, null, null, 'lecteur']|hasAccess
)
    %}


    {% if  GET.get('organisation')==1 and GET.get('edition') == 'oui' %} {% set organisation = true %} {% endif %}
    {% if  GET.get('nomsysma_action')==1 and GET.get('edition') == 'oui' %} {% set nomsysma_action = true %} {% endif %}
    {% if  GET.get('communes')==1 and GET.get('edition') == 'oui' %} {% set communes = true %} {% endif %}
    {% if  GET.get('infosgeo')==1 and GET.get('edition') == 'oui' %} {% set infosgeo = true %} {% endif %}
    {% if  GET.get('detail')==1 and GET.get('edition') == 'oui' %} {% set detail = true %} {% endif %}
    {% if  GET.get('infossysma_action')==1 and GET.get('edition') == 'oui' %} {% set infossysma_action = true %} {% endif %}
    {% if  GET.get('listeobjets')==1 and GET.get('edition') == 'oui' %} {% set listeobjets = true %} {% endif %}
    {% if  GET.get('infosobjets')==1 and GET.get('edition') == 'oui' %} {% set infosobjets = true %} {% endif %}
    {% if  GET.get('carte')==1 and GET.get('edition') == 'oui' %} {% set carte = true %} {% endif %}
    {% if  GET.get('photos')==1 and GET.get('edition') == 'oui' %} {% set photos = true %} {% endif %}
    {% if  GET.get('couts')==1 and GET.get('edition') == 'oui' %} {% set couts = true %} {% endif %}
    {% if  GET.get('user_infos')==0 and GET.get('edition') == 'oui' %} {% set user_infos = false %} {% endif %}


    <div id="reglages" class="infosGeo">
        <p>Personnalisation de la fiche action</p>
        <form method="get" action="#">

            <input type="checkbox" value="1" name="user_infos" {% if user_infos %} checked {% endif %}/> Infos modificateur<br>     
            <input type="checkbox" value="1" name="organisation" {% if organisation %} checked {% endif %}/> Organisation<br>                       
            <input type="checkbox" value="1" name="nomsysma_action" {% if nomsysma_action %} checked {% endif %}/> Nom des actions</br>
            <input type="checkbox" value="1" name="communes" {% if communes %} checked {% endif %}/> Liste des communes</br>
            <input type="checkbox" value="1" name="infosgeo" {% if infosgeo %} checked {% endif %}/> Linéaire et surface</br>
            {%  if COST_MANAGEMENT != 'desactivated' %}  
                <input type="checkbox" value="1" name="couts" {% if couts %} checked {% endif %}/> Coûts</br>
            {% endif %}
            <input type="checkbox" value="1" name="detail" {% if detail %} checked {% endif %}/> Détail Actions et Objets</br>
            ╚═ <input type="checkbox" value="1" name="infossysma_action" {% if infossysma_action %} checked {% endif %}/> Détails des actions</br>
            ╚═ <input type="checkbox" value="1" name="listeobjets" {% if listeobjets %} checked {% endif %}/> Liste des objets</br>
            ╚═ <input type="checkbox" value="1" name="infosobjets" {% if infosobjets %} checked {% endif %}/> Détail des objets</br>
            {#<input type="checkbox" value="1" name="texte" {% if GET.get('texte')==1 %} checked {% endif %}/> Texte libre</br>#}
            <input type="checkbox" value="1" name="carte" {% if carte %} checked {% endif %}/> Carte</br>
            <input type="checkbox" value="1" name="photos" {% if photos %} checked {% endif %}/> Photos</br>
            <input value="oui" name="edition" type="hidden"/> 
            <button type="submit" class="btn btn-xs btn-default">OK</button>
        </form>


    </div>
    {% endif %}
        <div id="logoBRAND"><img src="/conf/logo_structure.gif" width="160px" /></div>
        <table class="table">
            <tbody>
                <tr>
                    <td>
                        {% include('layout/brand.twig') %}

                    </td>

                </tr>      
                <tr>
                    <td>
                        <h2>
                            {% set S = null %}
                            {% for T in tabT %}
                                {% if S != T.organisation %}
                                    {% if organisation %} {{ T.organisation|raw }} {% endif %}
                                {% endif %}
                                {% set S = T.organisation %}
                            {% endfor %}
                        </h2>
                        <h1> 
                            {{ tabT[0].sysmaObjectsArray[0].sysma_object_type|raw }} 
                            {% if nomsysma_action %}
                                : 
                                {% for T in tabT %}
                                    {{ T.sysma_action_type|raw  }}
                                {% endfor %}
                            {% endif %}
                          
                        </h1>                     

                        
                        {% if communes %}
                            <p>Communes concernées : 
                                {% set tabC = [] %}
                                {% for C in tabCommunes %}
                                    {% set tabC = tabC|merge([C.sysma_object]) %}
                                {% endfor %}
                                {{ tabC|join(',') }}
                            </p>
                        {% endif %}

                        {% if infosgeo %}
                            {% set lineaire = 0 %}
                            {% set surface = 0 %}
                            {% for T in tabT %}
                                {% for O in T.sysmaObjectsArray %}
                                    {% if O.geometry_type != 'ST_Point' %}
                                        {% set lineaire = lineaire + O.infosGeom.perimetre %}
                                        {% if O.geometry_type == 'ST_Polygon' %}
                                            {% set surface = surface + O.infosGeom.surface %}
                                        {% endif %}
                                    {% endif %}
                                {% endfor %}
                            {% endfor %}     
                            {% if lineaire != 0 %}
                                <p>Linéaire : {{ lineaire|round }} m
                                    {% if surface != null %}
                                        - Surface : {{ surface|round }} m²
                                    {% endif %}
                                </p>
                            {% endif %}
                        {% endif %}
                    </td>            
                </tr>        


                {% if detail %}
                    <tr>
                        <td>
                            <h2>Informations</h2>


                            {% for T in tabT %}

                                <h3>{{ T.sysma_action_type|raw }} {{ T.sysma_action != '' ? ' : '~T.sysma_action |raw }} 
                                
                                    {% if infossysma_action %}
                                    {% include('sysma-action/sysmaActionStatusLabel.twig')%}
                                    {% endif %}

                                    <small>[{{ T.id }}]</small>
                                </h3>

                                {% if user_infos %}                                             
                                    {% if T.modified_at_sysma_action != null %} 
                                    <p>
                                        <small  class="text-muted">
                                            Modifié {% if T.infos.lastname != null %} par {{ T.infos.firstname|default(null)}} {{ T.infos.lastname }} {% endif %} 
                                            le <span title="{{ T.modified_at|date('d/m/Y H:i:s') }}">{{ T.modified_at|date('d/m/Y') }}</span>
                                        </small>
                                    </p>
                                    {% endif %}
                                {% endif %}

                                {% if infossysma_action %}

                                    <p>Dates de réalisation : {{ T.start_date|date('m/Y') }} > {{ T.end_date|date('m/Y') }}</p>
                                    <div class="blocInfosTravaux">
                                    {% for V in T.data %}

                                        {% if V.value|default(null) is not null %}

                                        
                                        {%  if '**' in V.parameter.ordered_by %}                                        
                                            <div class="row rowSysma"><h3>{{ (V.parameter.ordered_by|split('**')).1|replace('_',' ') }}</h3></div>
                                        {%  endif %}
                                      
                                        <div class="row rowSysma
                                                {% if  V.parameter.required %}
                                                    requiredParameter
                                                {% endif %}
                                                ">

                                            <div class = "col-md-4 colonne1">
                                                    {{V.parameter.parameter|striptags|raw}}
                                                    {% if V.parameter.unit!=null %}
                                                        ({{V.parameter.unit}})
                                                    {% endif %}
                                                </div>

                                                <div class="col-md-8">
                                                    {% include ('sysma-action-parameter-value/sysmaActionParameterValuePrintDisplay.twig') %}
                                                </div>
                                            </div>

                                        {% endif %}


                                        {% endfor %}
                                    </div>
                                {% endif %}
                                {%  if COST_MANAGEMENT != 'desactivated' %}  
                                    {% if couts %}
                                    <h4>Coûts</h4>
                                        {% for T in tabT %}
                                            
                                             <div class="row rowSysma">
                                                <div class="col-md-4 colonne1">Coûts prévisionnels</div>
                                                <div class="colonne2 col-md-8"><div class="value sousColonne2-1">{{ T.total_cost_estimated_user ? T.total_cost_estimated_user~' € '~HT_TTC : 'Non précisé' }}</div></div>
                                             </div>

                                             <div class="row rowSysma">
                                                <div class="col-md-4 colonne1">Coûts réalisé</div>
                                                <div class="colonne2 col-md-8"><div class="value sousColonne2-1">{{ T.total_cost_final_user ? T.total_cost_final_user~' € '~HT_TTC : 'Non précisé' }}</div></div>
                                             </div>
                                        {% endfor %}
                                    {% endif %}
                                {% endif %}


                                <p>{{ T.sysmaObjectsArray|length }} objet(s) de type {{ T.sysmaObjectsArray['0'].sysma_object_type|raw }} concerné(s)</p>

                                {% if listeobjets %}
                                <hr></hr>
                                    <h4>Objets concernés :</h4>
                                    {% for O in T.sysmaObjectsArray %}

                                   
                                    <div style="margin-left:20px">
                                      
                                    
                                        <h5>
                                        
                                        <small><span class="glyphicon glyphicon-map-marker" style="margin-left:-20px;"></span></small>
                                        
                                        {{ O.sysma_object }} <small>[{{ O.id }}]</small></h5>
                                        {% if infosobjets %}
                                            {% if O.infosGeom.perimetre is defined %} <p>Linéaire : {{ O.infosGeom.perimetre|round }} m</p> {% endif %}
                                            {% if O.infosGeom.surface is defined %} <p>Surface : {{ O.infosGeom.surface|round }} m²</p> {% endif %}

                                            <div class="blocDonnees">
                                            {% for V in O.data %}         
                                                {% if V.value != null and V.parameter.hidden_in_form != 'oui' %} 

                                                                                
                                                {%  if '**' in V.parameter.ordered_by %}                                        
                                                    <div class="row rowSysma"><h6>{{ (V.parameter.ordered_by|split('**')).1|replace('_',' ') }}</h6></div>
                                                {%  endif %}
                                                    
                                                <div class="row rowSysma
                                                {% if  V.parameter.required %}
                                                    requiredParameter
                                                {% endif %}
                                                ">

                                                <div class = "col-md-4 colonne1">
                                                        <acronym title = "{{V.parameter.description|striptags|raw}} [{{V.parameter.parameter_id}}]">{{V.parameter.parameter|striptags|raw}}</acronym>            
                                                        {% if V.parameter.unit!=null %}
                                                            ({{V.parameter.unit}})
                                                        {% endif %}
                                                    </div>

                                                    <div id="renseigneForm{{V.idsysma_object}}{{V.parameter_id}}" class="col-md-8">
                                                        {% include ('sysma-object-parameter-value/sysmaObjectParameterValuePrintDisplay.twig') %}
                                                    </div>

                                                </div>
                                        
                                                    {% endif %}
                                            {% endfor %}
                                            </div>
                                        {% endif %}
                                        </div>
                                    {% endfor %}     
                                {% endif %}

                            {% endfor %}

                        </td>
                    </tr>
                {% endif %}
                {#
                            {% if GET.get('texte')==1 %}
                                <tr>
                                    <td>
                
                                        <textarea name="texte">
                
                                        </textarea>
                                    </td>
                                </tr>
                            {% endif %}
                #}
                {% if carte %}
                    <tr>
                        <td style="width:500px">
                            <div id="map" style="height:500px;">
                            </div>
                        </td>
                    </tr>
                {% endif %}
                {% if photos %}
                    <tr>
                        <td>

                            {% for O in tabO %}  


                                {% for OP in O.tabOP %}                            
                                    {% if OP.photo_type != 'folder' %}
                                        <div style="float:left;margin-right:10px;margin-top:10px;">
                                            {{ OP.Photo.squareCode|raw }}                                          
                                            {% if OP.before_after|default(null) == 'before' %}<br>Photo avant{% endif %}
                                            {% if OP.before_after|default(null) == 'during' %}<br>Photo pendant intervention{% endif %}
                                            {% if OP.before_after|default(null) == 'after' %} <br>Photo après{% endif %}
                                        </div>
                                    {% endif %}
                                {% endfor %} 
                                {#
                                {% for OP in O.beforePhotosArray %}                            
                                    {% if OP.type == 'photo' %}
                                        <div style="float:left;padding:5px;">Photo avant</div> {{ OP.Photo.thumbnailCode|raw }} 
                                    {% endif %}
                                {% endfor %} 
                                {% for OP in O.afterPhotosArray %}
                                    {% if OP.type == 'photo' %}
                                        <div style="float:left;padding:5px;">Photo après</div> {{ OP.Photo.thumbnailCode|raw }}

                                    {% endif %}
                                {% endfor %} #}
                            {% endfor %} 

                        </td>
                    </tr>   
                {% endif %}

                <tr>
                    <td>
                        <p class="text-right"><small>Page générée le {{ "now"|date("d/m/Y") }}</small></p>
                    </td>
                </tr>
            </tbody>
        </table>


        {% endblock %}

            {% block js %}

                {% include('map/simpleMap.twig') %}

            {% endblock %}